## ŚCLASSNAME Name of class

Implemented for Internal, External and System classes.

Syntax:

name „ objref.ŚCLASSNAME
name „ classref.ŚCLASSNAME
name „ ŚCLASSNAME (Within user-defined method, same as ŚTHIS.ŚCLASSNAME)

The niladic system method ŚCLASSNAME returns the fully-qualified name of the class of an object, as a character vector. It can also be used with a class reference rather than an object reference:

          PT„ŚNEW Point
          PT.ŚCLASSNAME
    Point
          ŚDISPLAY PT.ŚCLASSNAME
    Ú…ÎÎÎÎĚ
    ŰPointŰ
    ŔÎÎÎÎÎŮ
          Point.ŚCLASSNAME
    Point

If the class is an External or System class, the class name is preceded by the architecture name and a colon:

          DT„'.net' ŚNEW 'System.DateTime' 2007 5 30
          DT
    [.net:DateTime]
          DT.ŚCLASSNAME
    .net:System.DateTime

Topic: APLX Help : Help on APL language : System Methods : ŚCLASSNAME Name of class

[ Previous | Next | Contents | Index ]